package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.UnbindStudentCodeReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.UnbindStudentCodeResp;

@Service
public class StudentCloudServiceClient extends BasicCloudClientSupport
		implements
			StudentCloudService {

	private static final long serialVersionUID = 7669672850482842766L;

	@Override
	public SaveStudentResp saveStudent(SaveStudentReq req) {
		return post("student/saveStudent", req, SaveStudentResp.class);
	}

	@Override
	public GetStudentResp getStudent(GetStudentReq req) {
		return post("student/getStudent", req, GetStudentResp.class);
	}

	@Override
	public UnbindStudentCodeResp unbindStudentCode(UnbindStudentCodeReq req) {
		return post("student/unbindStudentCode", req, UnbindStudentCodeResp.class);
	}

}
